# Get

## Retrieve a list of your hotspots

### Parameters:

| Name           | Optional / Required | Data type | Description                                                                                                 | Default                                              |
| -------------- | ------------------- | --------- | ----------------------------------------------------------------------------------------------------------- | ---------------------------------------------------- |
| id             | required            | Integer   | One of your document ids                                                                                    |                                                      |
| page           | optional            | Integer   | Filter the results by page nr (1 - X)                                                                       |                                                      |
| offset         | optional            | Integer   | Retrieve rows at position X (min. 0)                                                                        | 0                                                    |
| limit          | optional            | Integer   | Retrieve X rows (min. 0 and max. 100)                                                                       | 10                                                   |
| sort           | optional            | String    | Sort results by create\_date\_desc, create\_date\_asc, page\_desc, page\_asc                                | page\_asc                                            |
| return\_fields | optional            | String    | Customize the responses by setting the return fields (id, page, type, settings, create\_date, update\_date) | id, page, type, settings, create\_date, update\_date |

### Demo

&#x20;URL Find your token on - [yumpu.com](https://www.yumpu.com/en/account/profile/api) Token&#x20;

&#x20;document id&#x20;

#### Optional parameters:

&#x20;page  offset  limit  sort  return\_fields&#x20;

Add optional parametersRun request

```
```

{% tabs %}
{% tab title="curl" %}
Example:

```
curl -X GET -H "X-ACCESS-TOKEN: YOUR_ACCESS_TOKEN" "https://api.yumpu.com/2.0/document/hotspots.json?id=27109037&limit=1"
```

{% endtab %}

{% tab title="PHP" %}
Example:

```php
require_once('../yumpu.php');
$yumpu = new Yumpu();
$data = array(
 'id' => 27109085,
 'limit' => 1
);
$listHotspots = $yumpu->getDocumentHotspots($data);
print_r($listHotspots);
```

{% endtab %}

{% tab title="JavaScript" %}
Example:

```javascript
var yumpu = require('yumpu');
yumpu.setToken('yourToken');
var parameters = {
  id: 27109037,
  offset: 0,
  limit: 1
};
yumpu.getDocumentHotspots(parameters, function(statusCode, document){
   console.log('Status: ' + statusCode);
   console.log(document);
});
```

{% endtab %}

{% tab title="Java" %}
Example:

```java
Yumpu y = new Yumpu("your access token");
String[] params = {"id=27109037", "limit=1"};
System.out.println(y.getDocumentHotspots(params));
```

{% endtab %}
{% endtabs %}

Whatever language you are using, the result will be the same.

```bash
{
  "total": 74,
  "hotspots": [
    {
      "id": "fc62e52bphzHaVqn",
      "document_id": 27109037,
      "page": 1,
      "type": "link",
      "settings": {
        "x": 311,
        "y": 603,
        "w": 109,
        "h": 8,
        "name": "www.yumpu.com",
        "link": "https://www.yumpu.com",
        "tooltip": "www.yumpu.com"
      },
      "create_date": "2016-09-13 09:13:19",
      "update_date": "0000-00-00 00:00:00"
    }
  ],
  "state": "success",
  "completed_in": 0.0922
}
```
